org.apache.mina.filter.codec

## Class ProtocolDecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.mina.filter.codec.ProtocolCodecException
      - - org.apache.mina.filter.codec.ProtocolDecoderException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CommandSyntaxException, RecoverableProtocolDecoderException

      public class ProtocolDecoderException
      extends ProtocolCodecException

  An exception that is thrown when `ProtocolDecoder` cannot understand or failed to validate the specified `IoBuffer` content.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolDecoderException()` Constructs a new instance.
    `ProtocolDecoderException(String message)` Constructs a new instance with the specified message.
    `ProtocolDecoderException(String message, Throwable cause)` Constructs a new instance with the specified message and the specified cause.
    `ProtocolDecoderException(Throwable cause)` Constructs a new instance with the specified cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHexdump()` Returns the hexdump of the unknown message part.
    `String` | `getMessage()` Returns the message and the hexdump of the unknown part.
    `void` | `setHexdump(String hexdump)` Sets the hexdump of the unknown message part.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolDecoderException

          public ProtocolDecoderException()

      Constructs a new instance.

    - #### ProtocolDecoderException

          public ProtocolDecoderException(String message)

      Constructs a new instance with the specified message.

    - #### ProtocolDecoderException

          public ProtocolDecoderException(Throwable cause)

      Constructs a new instance with the specified cause.

    - #### ProtocolDecoderException

          public ProtocolDecoderException(String message,
                                  Throwable cause)

      Constructs a new instance with the specified message and the specified cause.

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Returns the message and the hexdump of the unknown part.
      Overrides:
        `getMessage` in class `Throwable`

    - #### getHexdump

          public String getHexdump()

      Returns the hexdump of the unknown message part.

    - #### setHexdump

          public void setHexdump(String hexdump)

      Sets the hexdump of the unknown message part.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.